package org.pasoa.common.structure;

import java.util.List;

/**
 * Represents a P-Header
 * @author pgroth, sm
 *
 */
public class PHeader 
{
    private InteractionKey _interactionKey;
    private List                _interactionMetadata;
    private List                _interactionContexts;
    
    public PHeader (InteractionKey interactionKey, List interactionMetadata, List interactionContexts) {
        _interactionKey      = interactionKey;
        _interactionMetadata = interactionMetadata;
        _interactionContexts = interactionContexts;
    }
    
    public InteractionKey getInteractionKey () {
        return _interactionKey;
    }
    
    public List getInteractionMetadata () {
        return _interactionMetadata;
    }
    
    public List getInteractionContexts () {
        return _interactionContexts;
    }
}
