package org.pasoa.common.structure;

import java.io.Serializable;
import org.w3c.dom.Element;

/**
 * Puts all the SubjectId information into one place
 * @author pgroth, sm 
 *
 */
public class SubjectID implements Serializable {
    private String  _localPAssertionID;
    private Element _dataAccessor;
    private String  _parameterName;
    
    public SubjectID (String localPAssertionID, Element dataAccessor, String parameterName) {
        _localPAssertionID = localPAssertionID;
        _dataAccessor      = dataAccessor;
        _parameterName     = parameterName;
    }
    
    public String getLocalPAssertionID () {
        return _localPAssertionID;
    }
    
    public Element getDataAccessor () {
        return _dataAccessor;
    }
    
    public String getParameterName () {
        return _parameterName;
    }
}
