package org.pasoa.dommap;

import java.util.Iterator;
import org.w3c.dom.NodeList;

public class NodeListIterator implements Iterator {
    private NodeList _list;
    private int      _index;
    
    public NodeListIterator (NodeList list) {
        _list  = list;
        _index = -1;
    }

    public boolean hasNext () {
        return (_index + 1) < _list.getLength ();
    }

    public Object next () {
        _index += 1;
        return _list.item (_index);
    }

    public void remove () {
        throw new UnsupportedOperationException ();
    }
}
