package org.pasoa.dommap;

import java.util.List;
import java.util.NoSuchElementException;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

public class SimpleNodeList implements NodeList {
    private List base;
    
    public SimpleNodeList (List backing) {
        base = backing;
    }
    
    public Node item (int index) {
        //System.out.println ("NodeList: Called item with " + index + " in children of size " + getLength ());
        if (index < getLength () && index >= 0) {
            return (Node) base.get (index);
        } else {
            return null;
        }
    }
    
    public int getLength () {
        //System.out.println ("NodeList: called getLength and returned " + base.size ());
        return base.size ();
    }
    
}
