package org.pasoa.query.xpath;

import java.util.Map;
import org.pasoa.common.PlugIn;
import org.pasoa.storage.StorageSystem;
import org.w3c.dom.Document;

public class XPathPlugIn implements PlugIn {
    public XPathPlugIn () {
    }
    
    public Map getConfiguration () {
        return null;
    }
    
    public String getDefaultResponse () {
        // Must be done synchrounously, so no default response
        return null;
    }
        
    public void initialize (Map configuration) {
    }
    
    public Document process (Document document, StorageSystem ss) throws Exception {
        XPathQueryRequest request = new XPathQueryDeserialiser ().deserialiseXPathQueryRequest (document.getDocumentElement ());
System.out.println (request.getPath ());
        XPathQueryImpl    querier = new XPathQueryImpl ();
        
        return querier.resolve (ss.getRetrievalInterface (), request.getPath (), request.getNamespaces ());
    }

    public boolean receiveDispatchesSyncronously () {
        return true;
    }
}
