package org.pasoa.query.xquery;

import java.util.Map;
import javax.xml.transform.Source;
import javax.xml.transform.TransformerException;
import javax.xml.transform.URIResolver;
import javax.xml.transform.dom.DOMSource;
import org.w3c.dom.Node;

public class DocumentResolver implements URIResolver {
    private Map        documents;
    
    public DocumentResolver (Map table) {
        documents = table;
    }

    public void add (String reference, Node document) {
        documents.put (reference, document);
    }
        
    public Source resolve (String href, String base) throws TransformerException {
        return new DOMSource ((Node) documents.get (href));
    }
}
