package org.pasoa.query.xquery;

import java.util.LinkedList;
import java.util.List;
import org.pasoa.dommap.SimpleNodeList;
import org.w3c.dom.Document;
import org.w3c.dom.NodeList;

public class Functions {
    private List resultDocs;
    private static Functions defaultFuncs;
    
    private Functions () {
        resultDocs = new LinkedList ();
    }
    
    public static void addResult (Document resultDoc) {
        getDefault ().resultDocs.add (resultDoc.getDocumentElement ());
    }
    
    private static Functions getDefault () {
        if (defaultFuncs == null) {
            defaultFuncs = new Functions ();
        }
        return defaultFuncs;
    }
    
    public static NodeList storeResults () {
        return new SimpleNodeList (getDefault ().resultDocs);
    }
}
