package org.pasoa.query.xquery;

import java.util.Map;
import org.pasoa.query.QueryProblem;

public interface XQueryResolver {
    /**
     * @param query     The actual XQuery expression
     * @param documents A map from String to Document
     * @param variables A map from QName to Node, NodeList, String, Integer etc.
     */
    Object resolve (String query, Map documents, Map variables) throws QueryProblem;
}
