/********************************************************************************
 * Created on Sep 4, 2005
 *
 * Copyright (c) 2005 University of Southampton
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy 
 * of this software and associated documentation files (the "Software"), to deal 
 * in the Software without restriction, including without limitation the rights 
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
 * copies of the Software, and to permit persons to whom the Software is 
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE 
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, 
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE 
 * SOFTWARE.
 *******************************************************************************/
  
package org.pasoa.test;

import java.net.URL;

import org.pasoa.dommap.DOMWriter;
import org.pasoa.util.ClientLib;
import org.w3c.dom.Document;

public class StoreContents
{

    /**
     * @param args
     */
    public static void main(String[] args) throws Exception
    {
        System.out.println ("Getting the contents of the store at " + args[0]);
        String xquery = "<result>{for $n in $ps:pstruct return $n}</result>";
        ClientLib cl = new ClientLib();
        Document result = cl.query(xquery, new URL(args[0]));
        System.out.println (DOMWriter.writeToString (result));
        System.out.println ("Done");

    }

}
