package org.pasoa.util.httpsoap;

import java.util.HashMap;
import java.util.Map;
import org.pasoa.common.Constants;
import org.pasoa.dommap.SimpleElement;
import org.pasoa.dommap.SimpleText;

public class XQueryRequestDocument extends SOAPDocument {
    public XQueryRequestDocument (String xquery) {
        super (xquerySpaces ());
        
        SimpleElement queryNode  = new SimpleElement (this, Constants.WSXQUERY_NS, "query");
        SimpleElement xqueryNode = new SimpleElement (this, Constants.WSXQUERY_NS, "xquery");
        
        xqueryNode.appendChild (new SimpleText (this, xquery));
        queryNode. appendChild (xqueryNode);
        body.      appendChild (queryNode);
    }
    
    private static Map xquerySpaces () {
        Map spaces = new HashMap ();
        spaces.put (Constants.WSXQUERY_PREFIX, Constants.WSXQUERY_NS);
        return spaces;
    }
}
