package org.pasoa.dommap;

import org.w3c.dom.Attr;
import org.w3c.dom.DOMException;
import org.w3c.dom.Document;
import org.w3c.dom.NamedNodeMap;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;
import org.w3c.dom.TypeInfo;
import org.w3c.dom.UserDataHandler;

abstract class NonImplementedNode implements Node {
    public Node appendChild (Node newChild) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public NamedNodeMap getAttributes () {
        throw new UnsupportedOperationException ();
    }
    
    public Node cloneNode (boolean deep) {
        throw new UnsupportedOperationException ();
    }
    
    public NodeList getChildNodes () {
        throw new UnsupportedOperationException ();
    }
    
    public Node getFirstChild () {
        throw new UnsupportedOperationException ();
    }
    
    public String getLocalName () {
        throw new UnsupportedOperationException ();
    }
    
    public String getNamespaceURI () {
        throw new UnsupportedOperationException ();
    }
    
    public Node getNextSibling () {
        throw new UnsupportedOperationException ();
    }
    
    public String getNodeName () {
        throw new UnsupportedOperationException ();
    }
    
    public short getNodeType () {
        throw new UnsupportedOperationException ();
    }
    
    public String getNodeValue () {
        throw new UnsupportedOperationException ();
    }
    
    public Document getOwnerDocument () {
        throw new UnsupportedOperationException ();
    }
    
    public Node getParentNode () {
        throw new UnsupportedOperationException ();
    }
    
    public String getPrefix () {
        throw new UnsupportedOperationException ();
    }
    
    public String getTagName () {
        throw new UnsupportedOperationException ();
    }
    
    public boolean hasAttributes () {
        throw new UnsupportedOperationException ();
    }
    
    public boolean hasChildNodes () {
        throw new UnsupportedOperationException ();
    }
    
    public int hashCode () {
        throw new UnsupportedOperationException ();
    }
    
    public boolean isSameNode (Node node) {
        throw new UnsupportedOperationException ();
    }    
    
    public void setAttributeNS (String namespaceURI, String qualifiedName, String value) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public String toString () {
        throw new UnsupportedOperationException ();
    }
    
    public void setNodeValue (String nodeValue) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public void setIdAttributeNode (Attr idAttr, boolean isId) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public Object setUserData (String key, Object data, UserDataHandler handler) {
        throw new UnsupportedOperationException ();
    }
    
    public Attr setAttributeNode (Attr newAttr) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public Attr removeAttributeNode (Attr oldAttr) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public void setTextContent (String textContent) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public void setPrefix (String prefix) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public NodeList getElementsByTagName (String name) {
        throw new UnsupportedOperationException ();
    }
    
    public String getAttribute (String name) {
        throw new UnsupportedOperationException ();
    }
    
    public Attr getAttributeNode (String name) {
        throw new UnsupportedOperationException ();
    }
    
    public Object getUserData (String key) {
        throw new UnsupportedOperationException ();
    }
    
    public boolean hasAttribute (String name) {
        throw new UnsupportedOperationException ();
    }
    
    public boolean isDefaultNamespace (String namespaceURI) {
        throw new UnsupportedOperationException ();
    }
    
    public String lookupNamespaceURI (String prefix) {
        throw new UnsupportedOperationException ();
    }
    
    public String lookupPrefix (String namespaceURI) {
        throw new UnsupportedOperationException ();
    }
    
    public void removeAttribute (String name) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public short compareDocumentPosition (Node other) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public boolean isEqualNode (Node arg) {
        throw new UnsupportedOperationException ();
    }
    
    public Node removeChild (Node oldChild) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public void setIdAttributeNS (String namespaceURI, String localName, boolean isId) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public void setIdAttribute (String name, boolean isId) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public void setAttribute (String name, String value) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public Node replaceChild (Node newChild, Node oldChild) throws DOMException {
        throw new UnsupportedOperationException ();
    }
        
    public Object getFeature (String feature, String version) {
        throw new UnsupportedOperationException ();
    }
    
    public String getAttributeNS (String namespaceURI, String localName) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public String getBaseURI () {
        throw new UnsupportedOperationException ();
    }
    
    public Node getPreviousSibling () {
        throw new UnsupportedOperationException ();
    }
    
    public TypeInfo getSchemaTypeInfo () {
        throw new UnsupportedOperationException ();
    }
    
    public boolean hasAttributeNS (String namespaceURI, String localName) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public Node insertBefore (Node newChild, Node refChild) throws DOMException {
        throw new UnsupportedOperationException ();
    }
    
    public boolean isSupported (String feature, String version) {
        throw new UnsupportedOperationException ();
    }
    
    public void normalize () {
        throw new UnsupportedOperationException ();
    }
    
    public void removeAttributeNS (String namespaceURI, String localName) throws DOMException {
        throw new UnsupportedOperationException ();
    }
}
