package org.pasoa.query.provenance;

import java.util.Map;
import org.pasoa.dommap.DOMWriter;
import org.pasoa.query.QueryProblem;
import org.pasoa.query.xpath.jaxen.XPathUtilities;
import org.w3c.dom.Element;

public class DocumentCheck {
    private String _path;
    private Map    _namespaces;
    private String _xmlMapping;
    
    public DocumentCheck (String path, Map namespaces, String xmlMapping) {
        _path       = "boolean(" + path + ")";
        _namespaces = namespaces;
        _xmlMapping = xmlMapping;
    }
    
    public boolean accept (RelationshipTarget target) throws QueryProblem {
        ProvenanceQuerySerialiser encoder   = new ProvenanceQuerySerialiser ();
        Element                   targetDoc = encoder.serialiseRelationshipTarget (target).getDocumentElement ();
//System.out.println (DOMWriter.writeToString ((Element) XPathUtilities.resolveNodeSet (targetDoc, "/pq:relationshipTarget", _namespaces).get (0), true));
//System.out.println (_namespaces);
//System.out.println (XPathUtilities.resolveNodeSet (targetDoc, "/pq:relationshipTarget/ps:interactionPAssertion", _namespaces));
        return XPathUtilities.resolveBoolean (targetDoc, _path, _namespaces);
    }
}
