package org.pasoa.storage.je;

import java.util.List;
import java.util.Iterator;

import com.sleepycat.je.Database;
import com.sleepycat.je.Environment;

class DatabaseStop extends Thread {

    private List        _databases;
    private Environment _environ;

    DatabaseStop (List databases, Environment environ) {

        _databases = databases;
        _environ = environ;

    } 

    public void run() {
        try {
            System.out.println ("Closing down database");

            Iterator dbs = _databases.iterator();
            while (dbs.hasNext()) {
                Database db = (Database)dbs.next();
                db.close();
            }
            _environ.close();

        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}

